Bug 324341 - KOrganizer agenda view shows new events as double when using Google Calendars resource.
Summary: KOrganizer agenda view shows new events as double when using Google Calendars...
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: agendaview (weekview) (show other bugs)
Version: 4.11
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-01 07:26 UTC by Henri
Modified: 2013-09-04 18:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henri 2013-09-01 07:26:57 UTC
KOrganizer agenda view shows two identical events in agenda view when I add a new one when using Google Calendars resource. It is fixed if I change the view (day / week / month) or restart the program. Happens in day or week view but not in month view.

Reproducible: Always

Steps to Reproduce:
1. Add a calendar: Google calendars and tasks.
2. Add a new event. Select to use the created calendar.
3.
Actual Results:  
KOrganizer doesn't show one event but two.

Expected Results:  
It should show only one event.

This didn't happen for me until KDE 4.11. I have set up only one calendar. Doesn't happen if I choose to use another type of calendar (tried ICal calendar Folder and KDE Calendar (traditional).
Comment 1 Sergio Martins 2013-09-04 18:17:18 UTC
Git commit ba35e2bb64ba720ea2528933edc2c0eadd4dc66f by Sergio Martins.
Committed on 04/09/2013 at 18:02.
Pushed by smartins into branch 'master'.

Don't show duplicated events.

Listen to UID changes and refresh the view when that happens.
FIXED-IN: 4.12

M  +1    -1    calendarviews/agenda/agenda.cpp
M  +7    -1    calendarviews/agenda/agendaview.cpp

http://commits.kde.org/kdepim/ba35e2bb64ba720ea2528933edc2c0eadd4dc66f